| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLSLESCgProgramFactory Class Reference

Factory class for GLSL ES programs. More...

`#include <OgreGLSLESCgProgramFactory.h>`

Inheritance diagram for Ogre::GLSLESCgProgramFactory:
[legend]

## Public Member Functions
| GLSLESCgProgramFactory ()
virtual | ~GLSLESCgProgramFactory ()
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)
void | destroy (HighLevelGpuProgram *prog)
const String & | getLanguage (void) const
| Get the name of the language this factory creates programs for. More...

## Detailed Description

Factory class for GLSL ES programs.

## Constructor & Destructor Documentation

## ◆ GLSLESCgProgramFactory()

Ogre::GLSLESCgProgramFactory::GLSLESCgProgramFactory | ( |  | ) |

## ◆ ~GLSLESCgProgramFactory()

virtual Ogre::GLSLESCgProgramFactory::~GLSLESCgProgramFactory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getLanguage()

const String& Ogre::GLSLESCgProgramFactory::getLanguage | ( | void |  | ) | const
| virtual

Get the name of the language this factory creates programs for.

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ create()

HighLevelGpuProgram* Ogre::GLSLESCgProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader
| ) |  |
| virtual

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ destroy()

void Ogre::GLSLESCgProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) |
| virtual

Implements Ogre::HighLevelGpuProgramFactory.

The documentation for this class was generated from the following file:

- OgreGLSLESCgProgramFactory.h